## python-ppmd 0.3.3

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?=
SPHINXBUILD   ?= sphinx-build
SOURCEDIR     = .
BUILDDIR      = ../build/docs

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
python-ppmd (0.3.3-4) unstable; urgency=medium

  * debian/control
    - point Homepage to the right place; Closes: #987473

 -- Sandro Tosi <morph@debian.org>  Thu, 04 Nov 2021 00:15:44 -0400

python-ppmd (0.3.3-3) unstable; urgency=medium

  * source-only upload

 -- Sandro Tosi <morph@debian.org>  Wed, 03 Nov 2021 22:46:23 -0400

python-ppmd (0.3.3-2) unstable; urgency=medium

  * Reintroduce it as python-ppmd, to avoid conflicts with an old pkg;
    Closes: #985245

 -- Sandro Tosi <morph@debian.org>  Mon, 15 Mar 2021 20:44:47 -0400

ppmd (0.3.3-1) unstable; urgency=low

  * Initial release; Closes: #984847

 -- Sandro Tosi <morph@debian.org>  Tue, 09 Mar 2021 01:45:47 -0500

=== debian/control ===
Source: python-ppmd
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Team <team+python@tracker.debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all-dev,
               python3-cffi (>= 1.14.0),
# no tests for now python3-pytest <!nocheck>,
               python3-setuptools,
               python3-sphinx <!nodoc>,
Standards-Version: 4.5.1
Homepage: https://github.com/miurahr/ppmd
Vcs-Git: https://salsa.debian.org/python-team/packages/python-ppmd.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-ppmd

Package: python3-ppmd
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
Recommends: ${python3:Recommends},
Suggests: ${python3:Suggests},
Description: PPMd compression/decompression library
 PPM(Prediction by partial matching) is a compression algorithm which has
 several variations of implementations. PPMd is the implementation by Dmitry
 Shkarin. It is used in the RAR and by 7-Zip as one of several possible methods.
 .
 ppmd, aka. ppmd-cffi, is a python bindings with PPMd implementation by C
 language. The C codes are derived from p7zip, portable 7-zip implementation.
 ppmd-cffi support PPMd ver.H and PPMd ver.I.

Package: python-ppmd-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: documentation for the ppmd Python library
 This package provides documentation for ppmd

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=ppmd
%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build-indep:
	dh_auto_build -i
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	cd docs && \
	PYTHONPATH=$(CURDIR) http_proxy='http://127.0.0.1:9/' https_proxy='https://127.0.0.1:9/' \
	sphinx-build -N -E -T -b html . $(CURDIR)/.pybuild/docs/html/
	rm -rf $(CURDIR)/.pybuild/docs/html/.doctrees
endif

=== debian/watch ===
# try also https://pypi.debian.net/ppmd/watch
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/miurahr/ppmd/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## python-ppmd 0.5.0

=== debian/changelog ===
python-ppmd (0.5.0-4) unstable; urgency=medium

  * Team upload.
  * Simplify 64-bit platform detection; it should be much more robust across
    all architectures now.

 -- Colin Watson <cjwatson@debian.org>  Tue, 25 Mar 2025 10:07:34 +0000

python-ppmd (0.5.0-3) unstable; urgency=medium

  * Team upload.
  * Skip hypothesis-based fuzz tests.

 -- Colin Watson <cjwatson@debian.org>  Mon, 24 Mar 2025 13:30:01 +0000

python-ppmd (0.5.0-2) unstable; urgency=medium

  * Team upload.

  [ Zixing Liu ]
  * Fix MIPS and PowerPC 64-bit platform detection (closes: #1099498,
    LP: #2100831).

  [ Colin Watson ]
  * Fix test for argparse changes in Python 3.10.
  * Run tests during build.
  * Switch to autopkgtest-pkg-pybuild.

 -- Colin Watson <cjwatson@debian.org>  Mon, 24 Mar 2025 12:50:36 +0000

python-ppmd (0.5.0-1) unstable; urgency=medium

  * New upstream version
  * Add my ID to Uploaders
    Closes: #1065202
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Testsuite: autopkgtest-pkg-python (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Replace spaces in short license names with dashes.
  * Remove field Testsuite on binary package python-ppmd-doc that duplicates
    source.
  * Add upstream/metadata

 -- Andreas Tille <tille@debian.org>  Wed, 27 Mar 2024 15:29:15 +0100

python-ppmd (0.3.3-5) unstable; urgency=medium

  * orphan while waiting for RM

 -- Sandro Tosi <morph@debian.org>  Sat, 02 Mar 2024 16:59:13 -0500

=== debian/control ===
Source: python-ppmd
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: python
Testsuite: autopkgtest-pkg-pybuild
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all-dev,
               python3-cffi,
               python3-pytest <!nocheck>,
               python3-setuptools,
               python3-sphinx <!nodoc>
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-ppmd
Vcs-Git: https://salsa.debian.org/python-team/packages/python-ppmd.git
Homepage: https://github.com/miurahr/ppmd
Rules-Requires-Root: no

Package: python3-ppmd
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: PPMd compression/decompression library
 PPM(Prediction by partial matching) is a compression algorithm which has
 several variations of implementations. PPMd is the implementation by Dmitry
 Shkarin. It is used in the RAR and by 7-Zip as one of several possible methods.
 .
 ppmd, aka. ppmd-cffi, is a python bindings with PPMd implementation by C
 language. The C codes are derived from p7zip, portable 7-zip implementation.
 ppmd-cffi support PPMd ver.H and PPMd ver.I.

Package: python-ppmd-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: documentation for the ppmd Python library
 This package provides documentation for ppmd

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,10 @@
 #! /usr/bin/make -f
 
 export PYBUILD_NAME=ppmd
+export PYBUILD_TEST_ARGS=--ignore tests/test_ppmd7_fuzzer.py
+
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_build-indep:
 	dh_auto_build -i
